StreamingLocatorPutSchema

object
propertiesobjectStreamingLocatorPutPropertiesRequired
Properties for streaming locator
Show 12 propertiesHide 12 properties
alternativeMediaIdstringOptional
The alternative media id of the asset used by this streaming locator
assetNamestringRequired
The name of the asset used by this streaming locator
contentIdstringOptional1-260 characters
Optional content ID. Only valid when an external key server is used.
contentKeyslist of objectsStreamingLocatorContentKeyOptional
The content keys used by this streaming locator
Show 6 propertiesHide 6 properties
idstringRequired
The id of the content key
labelReferenceInStreamingPolicystringOptional
The label reference in the streaming policy
policyNamestringOptional
The name of the policy
trackslist of objectsStreamingLocatorTrackSelectionOptional
Not currently supported. The tracks which use this content key
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingLocatorTrackPropertyConditionRequired
The track selections
Show 3 propertiesHide 3 properties
operationobjectTrackPropertyCompareOperationRequired
The track property comparison operation
Show 2 propertiesHide 2 properties
EqualstringRequired
The track property comparison operation
UnknownstringRequired
The track property comparison operation
propertystringRequired
The track property to compare against
valuestringRequired
The track property value.
typeenumOptional
The streaming locator content key type
Allowed values:CommonEncryptionCencCommonEncryptionCbcsEnvelopeEncryption
valuestringOptional
The value of the content key
defaultContentKeyPolicyNamestringOptional<=260 characters
The default content key policy name used by this streaming locator.
defaultManifestFilenamestringOptional1-260 characterspattern: ^[A-Za-z0-9 _.,()-]+$
Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)
endTimestringOptionalformat: date-time
The end time of the streaming locator
filterslist of stringsOptional
A list of asset or account filters to apply to the streaming locator.
startTimestringOptionalformat: date-time
The start time of the streaming locator
streamingLocatorIdstringOptional1-260 characterspattern: ^[^\/]+$
The streaming locator id
streamingPolicyNamestringRequired<=260 characters
The name of the streaming policy used by this streaming locator.
You may specify a custom policy by name, or used one of the predefined policies.
To get the list of valid policy options use the GET /api/v1/projects/{project_name}/media/streamingPolicies endpoint.
suppressedbooleanOptionalDefaults to false

Optional configuration for output suppression. A suppressed locator will return a 404 HTTP response to requests, in the same way it would if the startTime had not yet been reached.

The 404 code can be overridden with a different status code by setting preAvailabilityStatusCode in a custom catalog in a Streaming Policy.